<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: holydays.php
| Author: Carsten Puka
| Updater: GameAction
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."holydays_panel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."holydays_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."holydays_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."holydays_panel/locale/English.php";
}

opentable($locale['VS_001']);

$result = dbquery("SELECT ur.*,ut.user_avatar,ut.user_name FROM ".DB_USERS." ut,".DB_HOLY_TABLE." ur WHERE ur.user_id=ut.user_id");
if (dbrows($result) != 0) {
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr>
	<td width='10%' align='center' class='tbl2'><b>".$locale['VS_010']."</b></td>
	<td width='20%' align='center' class='tbl2'><b>".$locale['VS_012']."</b></td>
	<td width='20%' align='center' class='tbl2'><b>".$locale['VS_013']."</b></td>
	<td width='15%' align='center' class='tbl2'><b>".$locale['VS_014']."</b></td>
	<td width='20%' align='center' class='tbl2'><b>".$locale['VS_015']."</b></td>
	<td width='15%' align='center' class='tbl2'><b>".$locale['VS_016']."</b></td>
	</tr>\n";

	while ($data = dbarray($result)) {

	$display_avatar = ($data['user_avatar'] ? "<img width='50' height='50' src='".IMAGES."avatars/".$data['user_avatar']."'>" : "<img width='50' height='50' src='".IMAGES."avatars/noav.gif'>");
	echo "<tr><td width='10%' align='center' class='tbl1'>".$locale['VS_011']."</td>
	<td width='20%' align='center' class='tbl1'>".strftime("%d.%m.%Y", $data['holy_start'])."</td>
	<td width='20%' align='center' class='tbl1'>".strftime("%d.%m.%Y", $data['holy_end'])."</td>
	<td width='15%' align='center' class='tbl1'>".$display_avatar."</td>
	<td width='20%' align='center' class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>";

	if ($userdata['user_id'] != $data['user_id']) {
	echo "<td width='15%' align='center' class='tbl1'><a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'>".$locale['VS_017']."</td></tr>";
	} else {
	echo "<td width='15%' align='center' class='tbl1'></td></tr>";
	}
	}
	echo "</table>\n";
} else {
	echo "<div style='text-align:center;'><br />".$locale['VS_018']."<br /><br /></div>";
}

closetable();

require_once THEMES."templates/footer.php";
?>