<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Carsten Puka
| Updater: GameAction
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."holydays_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."holydays_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."holydays_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."holydays_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['VS_100'];
$inf_description = $locale['VS_101'];
$inf_version = "2.0";
$inf_developer = "Carsten Puka";
$inf_email = "webmaster@carstenpukass.com";
$inf_weburl = "http://www.carstenpukass.com";

$inf_folder = "holydays_panel"; // The folder in which the infusion resides.

$inf_sitelink[1] = array(
	"title" => $locale['VS_102'],
	"url" => "holydays.php",
	"visibility" => "101"
);

// Database Table information : Create database tables.
$inf_newtable[1] = DB_HOLY_TABLE." (
user_id SMALLINT(5) DEFAULT '0' NOT NULL,
holy_start INT(10) UNSIGNED DEFAULT '0' NOT NULL,
holy_end INT(10) UNSIGNED DEFAULT '0' NOT NULL,
status TINYINT(1) DEFAULT '0' NOT NULL,
PRIMARY KEY (user_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_HOLY_TABLE;
?>
